The problem of building a reactive windows environment.

  node.js, question

According to react native Chinese tutorial, build a windows development environment.
After waiting for a long time to initialize the project with the command react-native init AwesomeProject, the following error was prompted
you are currently running node v0.10.15 but react native requires >=4.

Nodejs has been reinstalled with version 5. plus, but when viewing the node version with node -v, v0.10.15 is displayed. what is the reason

By reinstalling, do you mean downloading another installation package for direct installation? Is there any to unload the original? If not, see if the path corresponding to node in your environment variable points to the old version or the new version ~